%% RUN.m
%% This script runs the kmeans_on_mnist function on the machines 
%% defined below.

% Abort left over jobs.
MPI_Abort;
pause(2.0);

% Delete left over MPI directory
MatMPI_Delete_all;
pause(2.0);

% Define machines, empty means run locally.
% make sure that the first machine is exactly what the local hostname
% command returns (e.g. cluster14.ai, not cluster14 or cluster14.cs)

warning('set the list of machines');
machines = {'cluster1.ai','cluster2.ai'};

% include your current workstation in the list
[junk,hostname] = unix('hostname');
hostname = deblank(hostname);
machines = {hostname, machines{:}};

warning('fill in a message directory');
MESSAGE_DIRECTORY = '/p/learning/dross/MatlabMPI/'    
    
for ii = 1:length(machines)
    machines{ii} = [machines{ii} ':unix:' MESSAGE_DIRECTORY];
end


% % PROFILING ON (just for the local worker)
% profile off; profile clear; profile on -timer real;
% disp('profiling is on');

tic;
eval( MPI_Run('kmeans_on_mnist', length(machines), machines) );
toc

% % PROFILING OFF
% profsave(profile('info'),'profile_result');
% profile off clear;



